# Visualization Library A lightweight C++ OpenGL middleware for 2D/3D graphics | [Home] [Tutorials] [All Classes] [Grouped Classes]

# vl::PolygonStipple Class Reference

Wraps the OpenGL function glPolygonStipple(), see also http://www.opengl.org/sdk/docs/man/xhtml/glPolygonStipple.xml for more information. More...

`#include <Shader.hpp>`

Inheritance diagram for vl::PolygonStipple:

List of all members.

## Public Member Functions
| PolygonStipple ()
| PolygonStipple (const unsigned char *mask)
virtual const char * | className ()
| Returns the name of the class.
virtual ERenderState | type () const
virtual void | apply (const Camera *) const
void | set (const unsigned char *mask)
const unsigned char * | mask () const
## Protected Attributes
unsigned char | mMask [32 *32/8]

## Detailed Description

Wraps the OpenGL function glPolygonStipple(), see also http://www.opengl.org/sdk/docs/man/xhtml/glPolygonStipple.xml for more information.

See also:
  Shader, Effect, Actor, vl::EN_POLYGON_STIPPLE

## Constructor & Destructor Documentation

PolygonStipple::PolygonStipple | ( |  | ) |

PolygonStipple::PolygonStipple | ( | const unsigned char * | mask | ) |

## Member Function Documentation

virtual const char* vl::PolygonStipple::className | ( |  | ) | `[inline, virtual]`

Returns the name of the class.

Reimplemented from vl::RenderState.

virtual ERenderState vl::PolygonStipple::type | ( |  | ) | const`[inline, virtual]`

Reimplemented from vl::RenderState.

void PolygonStipple::apply | ( | const Camera * |  | ) | const`[virtual]`

Implements vl::RenderState.

void PolygonStipple::set | ( | const unsigned char * | mask | ) |

const unsigned char* vl::PolygonStipple::mask | ( |  | ) | const`[inline]`

## Member Data Documentation

unsigned char vl::PolygonStipple::mMask[32 *32/8]`[protected]`

The documentation for this class was generated from the following files:

- E:/VisualizationLibrary/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vl/Shader.hpp
- E:/VisualizationLibrary/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vl/Shader.cpp

Visualization Library v2009.08 Reference Documentation
Copyright 2005-2009 Michele Bosi. All rights reserved.
Updated on Sun Nov 29 11:11:51 2009.
Permission is granted to use this page to write and publish articles regarding Visualization Library.